Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

# openvrml::invalid_vrml Class Reference

Exception thrown when the parser fails due to errors in the VRML input. More...

`#include <openvrml/browser.h>`

Inherits std::runtime_error.

List of all members.

## Public Member Functions

| invalid_vrml (const std::string &url, size_t line, size_t column, const std::string &message)
| Construct.
virtual | ~invalid_vrml () throw ()
| Destroy.

## Public Attributes

const std::string | url
| Resource identifier.
const size_t | line
| Line number.
const size_t | column
| Column number.

## Detailed Description

Exception thrown when the parser fails due to errors in the VRML input.

## Constructor & Destructor Documentation

openvrml::invalid_vrml::invalid_vrml | ( | const std::string & | url,
|  | size_t | line,
|  | size_t | column,
|  | const std::string & | message |
| ) |  |  |

Construct.

Parameters:

  `[in]` | url | resource identifier of the stream.
  `[in]` | line | line number where the error was detected.
  `[in]` | column | column number where the error was detected.
  `[in]` | message | description of the error.

openvrml::invalid_vrml::~invalid_vrml | ( |  | ) | throw ()`[virtual]`

Destroy.

## Member Data Documentation

const std::string openvrml::invalid_vrml::url

Resource identifier.

size_t openvrml::invalid_vrml::line

Line number.

size_t openvrml::invalid_vrml::column

Column number.